[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# TApplication.NotifyKeyDownBeforeHandler

Notifies all ahtKeyDownBefore handlers.

## Declaration

Source position: forms.pp line 1641

`public procedure TApplication.NotifyKeyDownBeforeHandler(`
`Sender: TObject;`
`var Key: Word;`
`Shift: TShiftState`
`);`

## Arguments

`Sender` |  | Object for the event notification.
`Key` |  | Key code examined in the event handler.
`Shift` |  | Ctrl, Alt, Shift modifier for the key code.

## See also

TApplicationHandlerType |  | Types of Application notification handlers.